Bug 172521 - Review Request: tetex-tex4ht - Translates TeX and LaTeX into HTML or XML+MathML
Review Request: tetex-tex4ht - Translates TeX and LaTeX into HTML or XML+MathML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
Fedora Package Reviews List
http://www.cse.ohio-state.edu/~gurari...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-05 18:31 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 18:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-11-05 18:31:10 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-tex4ht-1.0.2005_10_31_0336-1.src.rpm

Description:
A converter from TeX and LaTeX to hypertext (HTML, XML, etc.), providing a
configurable (La)TeX-based authoring system for hypertext. When converting
to XML, you can use MathML instead of images for equation representation.

This package can also be used to translated to XML that OpenOffice.org can
understand, which then gives the user a path by which to convert a document
to rtf for import into Microsoft Word.
Comment 1 Ed Hill 2005-11-12 23:03:03 EST
The "Source:" URL (using "1.0.2005_10_31_0336" for the %{version}):

  http://www.cse.ohio-state.edu/~gurari/TeX4ht/fix/tex4ht-%{version}.tar.gz

doesn't work for me -- are you sure its correct?
Comment 2 Patrice Dumas 2005-11-13 13:28:35 EST
It seems that the previous version in
http://www.cse.ohio-state.edu/~gurari/TeX4ht/fix/ isn't kept, and there is a new
 version available. I also updated my srpm, it is on 

http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-tex4ht-1.0.2005_11_06_1516-1.src.rpm

however it is a bit annoying as the source will be unavailable as soon as there
is another update ;-(
Comment 3 Michael A. Peters 2005-11-13 18:55:05 EST
Good:
* uses %{?dist} tag
* md5sum matches upstream for Source
* md5sum matches upstream for Source1
* rpmlint *mostly* likes it
* mock builds it (i386 tested)
* installs and uninstalls cleanly (Tested on FC4 i386) - works as expected (FC4
i386)

-=-
Suggestion:
* rename Source to Source0
* add a datestamp to tex4ht-all.zip - it will probably change in future updates.
  (ie tex4ht-all-YYYYMMDD.zip - based on last timestamp in directory)

The way that is typically done is something like:
Source1: tex4ht-all-YYYYMMDD.zip
# unversioned upstream source
# http://www.cse.ohio-state.edu/~gurari/TeX4ht/tex4ht-all.zip

-=-
Question - upstream version has an underscore in the version name, corresponding
to the packaging date. Fedora Extras tetex packages that use a date in the
version string typically don't.

Should we change it - or leave it as upstream? I would be inclined to just leave
it be the way upstream is currently doing it. If there are potential problems
with how rpm evaluates the version with underscores present (I don't know) then
it should be changed.

-=-
Bad:
* Timestamp of source in src.rpm does not match rpm - grab sources with wget -N
to preserve timestamp on upstream tarball
* rpmlint - complains about license
Change it to
License:        LaTeX Project Public License

(drop the '(LPPL)' and change 'Latex to LaTeX')
and rpmlint will shut up.

-=-
Don't Know (probably harmless):
rpmlint gives the following errors on debuginfo:
E: tetex-tex4ht-debuginfo script-without-shellbang
/usr/src/debug/tex4ht-1.0.2005_11_06_1516/src/t4ht.c
E: tetex-tex4ht-debuginfo script-without-shellbang
/usr/src/debug/tex4ht-1.0.2005_11_06_1516/src/tex4ht.c
Comment 4 Patrice Dumas 2005-11-14 07:20:48 EST
Thanks for the review. Here is the updated srpm:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-tex4ht-1.0.2005_11_06_1516-1.src.rpm

> * rename Source to Source0

done

> * add a datestamp to tex4ht-all.zip - it will probably change in future updates.
>   (ie tex4ht-all-YYYYMMDD.zip - based on last timestamp in directory)

done

> -=-
> Question - upstream version has an underscore in the version name, 

I also think that we should keep the upstream scheme as long as it doesn't break
rpm versionning. If the next stable release is 1.0.1 there will be trouble, but
let's wait for this to happen before doing something special. 

> -=-
> Bad:
> * Timestamp of source in src.rpm does not match rpm - grab sources with wget -N
> to preserve timestamp on upstream tarball

done

> * rpmlint - complains about license

done

> -=-
> Don't Know (probably harmless):
> rpmlint gives the following errors on debuginfo:

fixed
Comment 5 Patrice Dumas 2005-11-14 07:39:14 EST
A new srpm available (the above link is wrong, it leads to an old version) with
a Requires for ImageMagick added

http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-tex4ht-1.0.2005_11_06_1516-3.src.rpm
Comment 6 Michael A. Peters 2005-11-14 17:07:37 EST
At a glance - looks good, I'll do the formal review now.
Ed Hill - have any additional comments?
Comment 7 Michael A. Peters 2005-11-14 17:54:19 EST
Good

* proper use of %{?dist} in release tag
* rpmlint clean on mock built packages (src.rpm, i386.rpm, debuginfo)
* Package named in accordance with Fedora tetex packages
* Spec file name matches package name
* Package meets the packaging guidelines
* Appropriate Open Source License
* Spec file written in legible American English
* Sources match upstream md5sum and archive timestamp
* Package succesfully builds on i386 FC4 (did not test others)
* No un-necessary BuildRequires
* All BuildRequires specified (builds cleanly in mock)
* No locale files that need to be specified
* No shared libraries
* Not relocatable
* Package owns all directories it creates
* No duplicate files
* Proper %clean section
* Consistent use of Macros
* Package contains code/permissable content
* IMHO no need to create separate docs package
* %doc files not needed to run software
* No devel package needed, no libtool files
* No desktop file needed
* Builds in mock in x86 (and I can personally verify that slightly older
versions of the code build in ppc fc4, did not test this version)
* package works as it is suppose to in all tested instances (generating
xml+mathml from a LaTeX mathematical document)
* Scriptlets are sane
* uses proper macros and scriptlets for Fedora tetex packages
* ChangeLog good - uses version-release to indicate changes

-=-
As far as I'm concerned - Approved.
I'm going to leave it in FE-Review for 24 hours so that Ed Hill (or anyone else)
can voice anything else if they see a problem, but it looks excellent to me.

Thank you for packaging this.
Comment 8 Ed Hill 2005-11-14 19:56:57 EST
I took a quick glance and it looks good.  I'm glad you two found some 
time to package and review this useful tool -- thank you!!!
Comment 9 Michael A. Peters 2005-11-15 12:42:08 EST
Approved
Comment 10 Christian Iseli 2006-10-18 08:53:35 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.